Package qsardes.atomconst

# Record Class AtomConstResult

java.lang.Object
java.lang.Record
qsardes.atomconst.AtomConstResult

Record Components:
  `carbon` - Carbon constant.
  `const_map` - Atom:constant map.
  `const_vect` - Constants vector.

public record AtomConstResult(Double carbon, Map<org.openscience.cdk.interfaces.IAtom,Double> const_map, double[] const_vect) extends Record
Stores the atomic constants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomConstResult(Double carbon, Map<org.openscience.cdk.interfaces.IAtom,Double> const_map, double[] const_vect)`
  Creates an instance of a `AtomConstResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `carbon()`
  Returns the value of the `carbon` record component.
  `Map<org.openscience.cdk.interfaces.IAtom,Double>`
  `const_map()`
  Returns the value of the `const_map` record component.
  `double[]`
  `const_vect()`
  Returns the value of the `const_vect` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AtomConstResult

    public AtomConstResult(Double carbon, Map<org.openscience.cdk.interfaces.IAtom,Double> const_map, double[] const_vect)
    Creates an instance of a `AtomConstResult` record class.
    Parameters:
      `carbon` - the value for the `carbon` record component
      `const_map` - the value for the `const_map` record component
      `const_vect` - the value for the `const_vect` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### carbon

    public Double carbon()
    Returns the value of the `carbon` record component.
    Returns:
      the value of the `carbon` record component

  - ### const_map

    public Map<org.openscience.cdk.interfaces.IAtom,Double> const_map()
    Returns the value of the `const_map` record component.
    Returns:
      the value of the `const_map` record component

  - ### const_vect

    public double[] const_vect()
    Returns the value of the `const_vect` record component.
    Returns:
      the value of the `const_vect` record component